/*
primary-color:#23CAFF;
secoundary-color:#01456B;
*/

@font-face{
  font-family:"moon";
  src:url(asset/font/MoonLight.otf) format("opentype"),
      url(asset/font/MoonLight.otf) format("opentype");}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding:0px;
  font-family: 'Noto Sans JP', sans-serif;
  display: flex;
  flex-direction: column;
  min-height:100vh;
}


p{
  line-height:200%;
}

main{
  margin:0px;
  padding:0px;
}
header {
  width: 100%;
  padding: 16px 15px;
  top: 0;
  z-index: 10;
  display: flex;
  border-bottom:solid 1px #23CAFF;
}

.logo {
  font-size: 25px;
}

.moon{
  font-family:'moon';
  font-weight:700;
}
.noto{
  font-family: 'Noto Sans JP', sans-serif;
}

nav {
  margin: 0 0 0 auto;
  font-weight: 600;
}


nav ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}

a{
  text-decoration: none;
}

nav a , header a{
  display: block;
  line-height: 60px;
  padding: 0 20px;
  color:#000;
}

a:hover{
  text-decoration: underline;
  text-underline-offset: 6px;
}

.support-button{
  background-color: #01456B;
  color:#fff;
  border-radius: 8px;
  display:inline-block;
}

.sm {
  display: none;
}


/**********************************　
以下、ハンバーガーメニューの設定　
************************************/

@media (max-width: 768px) {

    .pc {
      display: none;
    }

    #hamburger {
      background-color: transparent;
      position: relative;
      cursor: pointer;
      margin: 0 0 0 auto;
      height: 60px;
      width: 60px;
    }

    .icon span {
      position: absolute;
      left: 15px;
      width: 30px;
      height: 4px;
      background-color: #01456B;
      border-radius: 8px;
      transition: ease 0.75s;
    }

    .icon span:nth-of-type(1) {
      top: 16px;
    }
    .icon span:nth-of-type(2) {
      top: 28px;
    }
    .icon span:nth-of-type(3) {
      bottom: 16px;
    }

    .close span:nth-of-type(1) {
      transform: rotate(45deg);
      top: 28px;
    }

    .close span:nth-of-type(2) {
      opacity: 0;
    }

    .close span:nth-of-type(3) {
        transform: rotate(-45deg);
        top: 28px;
    }

    .sm {
        top: 93px;
        left: 0px;
        position: absolute;
        z-index: 10;
        width: 100%;
        background-color: #01456B;
    }

    nav ul {
      flex-direction: column;
    }

    nav a {
      text-align: center; 
      border-top: solid 0.5px rgba(255, 255, 255, 0.6);
      color:#fff;
    }

    #kv {
      clear: both;
      border: 1px solid #FFF;
      background-image: 
        linear-gradient(to bottom, rgba(255, 255, 255, 0.4) 60%, rgba(255, 255, 255, 0.9)), 
        url(img/kv_bg.jpg);
      background-position-x: left;
      background-size: cover;
      width: 100%;
      height: 350px;
      }
    
    #keyvisual{
      display:inline-block;
      position:absolute;
      top:150px;
      left:5%;
      font-size:1.5em;
      font-weight:bold;
    }
    #keyvisual img{
      width:80%;
      display:block;
      margin-bottom:30px;
    }

    #keyvisual h1{
      font-size:30px;
    }
  
    .pc-display{
      display:none;
    }
}

.mn-heading{
  font-size:18px;
  padding-left:16px;
  border-left: 4px solid #23CAFF;
}

.b-heading{
  font-size:40px;
  margin:0px;
}

@media (min-width: 768px) {
  /* 横幅が768px以上の場合に適用するスタイル */
  #kv {
    clear: both;
    border: 1px solid #FFF;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.4) 60%, rgba(255, 255, 255, 1)), url(img/kv_bg.jpg);
    background-size: cover;
    width: 100%;
    height: 600px;
  }
  
  #keyvisual{
    display:inline-block;
    position:absolute;
    top:200px;
    left:16vw;
    font-size:36px;
    font-weight:bold;
  }

  #keyvisual h1{
    font-size:42px;
  }

  #keyvisual img{
    margin-bottom:30px;
    display:block;
  }

  .sp-display{
    display:none;
  }
}

.wrapper{
  max-width:960px;
  width:100%;
  margin:auto;
}

.container {
  max-width:960px;
  width:100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin-bottom:32px;
}
.container:last-child{
  margin-bottom:0px;
}

.image-column, .text-column {
  flex: 1;
  padding: 10px;
}

.image-column img {
  width: 100%;
  height: auto;
}

@media (max-width: 768px) {
  .container {
    flex-direction: column;
  }

  .image-column {
    order: 3;
  }

  .text-column {
    order: 1;
  }
}

#service {
  display: flex;
  justify-content: space-between;
  padding: 16px;
}

.service-box {
  width: 280px;
  height:auto;
  border-radius:8px;
  padding: 20px 16px;
  box-sizing: border-box;
  margin-bottom: 16px;
  border: 2px solid var(--secondary-color, #01456B);
  background: #FFF;
  position:relative;
}

.service-num{
  top:10px;
  left:10px;
  display:inline-block;
  position:absolute;
  color: var(--secondary-color, #01456B);
  font-size: 26px;
  font-weight: 700;
}

.service-box h3{
  color: var(--text-color, #222);
  font-size: 20px;
  font-weight: 700;
  text-align:center;
}

.service-box p{
  line-height: 140%;
}

.service-box img{
  display:block;
  margin:auto;
}

.service-text{
  height:150px;
}

.service-list{
  font-size:0.98em;
  margin:0px;
}
.service-box h4{
  text-align: center;
  margin-bottom:15px;
  font-size:20px;
}

.service-box h3 span{
  color: var(--text-color, #222);
  font-size: 16px;
  font-weight: 700;
}


#prof {
  display: flex;
  justify-content: space-between;
  position: relative;
}

.prof-box {
  width: 50%;
  display: flex;
  flex-direction: column;
}

.block-item {
  flex: 1;
}

.absolute-item {
  position: relative;
}

.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.pc-display,
.sp-display {
  max-width: 100%;
}

.center{
  text-align: center;
  display: block;
}

#prof h2{
  font-size:16px;
  line-height: 100%;
  margin-top:40px;
  position:static;
}

#prof h3{
  margin:0px;
}

#prof .daihyou{
  font-size:32px;
  font-weight:700;
  margin:0px;
}


#area{
  background-color:#01456B;
  background-image:url(img/area-bg.png);
  background-size: cover;
  height:439px;
  color:#fff;
}

@media (min-width: 1800px) {
  #area{
   background-position-y: -120px;
  }
}

#area p{
  margin:0px;
  padding:0px;
  font-size:18px;
  font-weight:600;
}

#area .container {
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.area-head{
  color:#fff;
  font-size:28px;
}

.col2-box {
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center; /* Add this line */
}

#area img{
  position:relative;
  top:30px;
}

#area ul{
  display:flex;
  margin:0px;
  padding:0px;
}

#area ul li{
  list-style:none;
  padding: 2px 8px;
  border-radius: 20px;
  background: var(--secondary-color, #01456B);
  margin-left:20px;
  fonts-size:14px;
}
#area ul li:first-child{
  margin-left:0px;
}

footer{
  background:#01456B;
  color:#fff;
  margin-top:auto;
  padding:40px 0px;
}

footer a ,footer a:visited{
  color:#fff;
}

.info-box a:before{
  content:url(img/mail-icon.png);
  margin:0px 20px 0px 0px;
  position:relative;
  top:6px;
}



.info-box a{
  display:block;
  background:#fff;
  color:#01456B;
  padding:10px;
  width:340px;
  text-align: center;
  font-size:24px;
  margin-bottom:0px;
}

.footer-tel{
  margin:0px;
  padding:0px;
 font-size:32px;
 font-weight:bold; 
}

.footer-tel a{
  color:#fff;
  margin:0px;
  padding:0px;
}

.footer-hours{
  margin:0px;
  padding:0px;
  font-size:12px;
}

footer ul{
  display:flex;
  padding:0px;
  margin:0px;

}

footer ul li{
  color:#fff;
  list-style:none;
  border-left: 1px solid #fff;
  padding:0px 20px 0px 20px;
  height:20px;
  margin-top:auto;
  bottom:0px;

}

footer ul li:first-child{
  border:none;
}

footer > ul  > li > a{
  margin:0px;
  padding:0px;
}


.under-layer-head{
  margin-top:0px;
  padding:80px;
  text-align:center;
  background-color:rgba(1, 69, 107, 0.2); /* Original color #01456B with 50% opacity */
  background-image:url(img/area-bg.png);
  background-blend-mode: overlay; /* Mix the background color and the background image */
  background-position: -40px 0px;
  background-size: cover;
}

#company-about{
  border-collapse: collapse;
  margin:40px auto;
  border-spacing: 0;
  color:#333;
}
th{
  display:table-cell;
  vertical-align: inherit;
}

#company-about th{
  text-align:unset;
  font-weight:normal;
  position: relative;
  width: 10.3125vw;
  font-weight: bold;
  color: #232323;
  border-right:1px solid #ccc;
}

#company-about th:before{
  content:'';
  position:absolute;
  top:33px;
  right:5.46875vw;
  bottom:34px;
}
  

#company-about td,#company-about th{
  padding: 10px 0;
  padding-left:20px;
  line-height: 2.28571;
  vertical-align: top;
  margin-top:15px;
}


@media screen and (max-width: 768px) {
  footer .area-center,.col2-box{
    text-align: center;
  }
  #service,#prof {
    flex-direction: column;
    align-items: center;
  }
  .info-box{
    margin:auto;
  }

  .service-box {
    margin-bottom: 16px;
    width:100%;
    height:100%;
  }
  .prof-box,.col2-box{
    width:100%
  }

  .col2-box{
    padding:16px;
  }

  #area{
    height:350px;
    background-position-x: -230px;
  }

  footer ul{
    display:inline;
  }
  footer ul li,footer ul li:first-child{
    text-align:center;
    border-left:none;
    border-top:1px solid #fff;
    padding:10px 0px;
    float:unset;
    height:40px;
  }
  footer ul li a{
    display: block;
  }

  #company-about th,#company-about td{
    display:block;
    width:40vh;
  }

  #company-about th{
    border-right: none;
    border-bottom:1px solid #ccc;
    }

   .service-text{
    height:auto;
    padding:0px;
    margin:0px;
  }
  .service-box h4{
    margin:0px;
    padding:0px;
  }

  .service-list li{
    margin-left:10px;
  }

 }

/* animation */

//CSS
.matrix .bg-wrap,
.matrix .bg-wrap .inn {
  display: block;
}
 
.matrix .bg-wrap {
  overflow: hidden;
  opacity: 0;
}
 
.matrix .bg-wrap + .bg-wrap {
  margin-top: 10px;
}
 
.matrix .bg-wrap .inn.large {
  font-size: 36px;
  font-weight: bold;
}
.matrix .bg-wrap .inn.small {
  font-size: 15px;
}
 
.matrix .bg-wrap .inn {
  opacity: 0;
  transform: matrix(1, 0, 0, 1, 0, 100);
  transition: 1.2s cubic-bezier(0.22, 1, 0.36, 1);
}
 
.matrix.is-animated .bg-wrap {
  opacity: 1;
}
 
.matrix.is-animated .bg-wrap .inn {
  opacity: 1;
  transform: matrix(1, 0, 0, 1, 0, 0);
}